Create a Contact
curl --request POST \
--url https://api.virtuoussoftware.com/api/Contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactType": "<string>",
"referenceSource": "<string>",
"referenceId": "<string>",
"name": "<string>",
"informalName": "<string>",
"description": "<string>",
"website": "<string>",
"maritalStatus": "<string>",
"anniversaryMonth": "<integer>",
"anniversaryDay": "<integer>",
"anniversaryYear": "<integer>",
"originSegmentId": "<integer>",
"isPrivate": "<boolean>",
"isArchived": "<boolean>",
"contactAddresses": [
{
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"stateCode": "<string>",
"postal": "<string>",
"countryCode": "<string>",
"isPrimary": "<boolean>",
"latitude": "<double>",
"longitude": "<double>"
},
{
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"stateCode": "<string>",
"postal": "<string>",
"countryCode": "<string>",
"isPrimary": "<boolean>",
"latitude": "<double>",
"longitude": "<double>"
}
],
"contactIndividuals": [
{
"firstName": "<string>",
"lastName": "<string>",
"prefix": "<string>",
"middleName": "<string>",
"suffix": "<string>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"approximateAge": "<integer>",
"gender": "<string>",
"passion": "<string>",
"isPrimary": "<boolean>",
"isSecondary": "<boolean>",
"isDeceased": "<boolean>",
"contactMethods": [
{
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
},
{
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
}
],
"customFields": "<object>"
},
{
"firstName": "<string>",
"lastName": "<string>",
"prefix": "<string>",
"middleName": "<string>",
"suffix": "<string>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"approximateAge": "<integer>",
"gender": "<string>",
"passion": "<string>",
"isPrimary": "<boolean>",
"isSecondary": "<boolean>",
"isDeceased": "<boolean>",
"contactMethods": [
{
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
},
{
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
}
],
"customFields": "<object>"
}
],
"customFields": "<object>",
"customCollections": [
{
"name": "<string>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"name": "<string>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}
'{
"id": "<integer>",
"contactType": "<string>",
"isPrivate": "<boolean>",
"name": "<string>",
"informalName": "<string>",
"description": "<string>",
"website": "<string>",
"maritalStatus": "<string>",
"anniversaryMonth": "<integer>",
"anniversaryDay": "<integer>",
"anniversaryYear": "<integer>",
"mergedIntoContactId": "<integer>",
"address": {
"id": "<integer>",
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"startMonth": "<integer>",
"startDay": "<integer>",
"endMonth": "<integer>",
"endDay": "<integer>"
},
"giftAskAmount": "<string>",
"giftAskType": "<string>",
"lifeToDateGiving": "<string>",
"yearToDateGiving": "<string>",
"lastGiftAmount": "<string>",
"lastGiftDate": "<string>",
"contactIndividuals": [
{
"id": "<integer>",
"contactId": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isSecondary": "<boolean>",
"canBeSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"avatarUrl": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
}
],
"createDateTimeUtc": "<dateTime>",
"modifiedDateTimeUtc": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
},
{
"id": "<integer>",
"contactId": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isSecondary": "<boolean>",
"canBeSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"avatarUrl": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
}
],
"createDateTimeUtc": "<dateTime>",
"modifiedDateTimeUtc": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}
],
"contactGiftsUrl": "<string>",
"contactPassthroughGiftsUrl": "<string>",
"contactPlannedGiftsUrl": "<string>",
"contactRecurringGiftsUrl": "<string>",
"contactImportantNotesUrl": "<string>",
"contactNotesUrl": "<string>",
"contactTagsUrl": "<string>",
"contactRelationshipsUrl": "<string>",
"primaryAvatarUrl": "<string>",
"contactReferences": [
{
"source": "<string>",
"id": "<string>"
},
{
"source": "<string>",
"id": "<string>"
}
],
"originSegmentId": "<integer>",
"originSegment": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"tags": [
"<string>",
"<string>"
],
"organizationGroups": [
"<string>",
"<string>"
],
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}How to Create and Update Contacts
Create a Contact
Will not check for contact duplicates.
POST
/
api
/
Contact
Create a Contact
curl --request POST \
--url https://api.virtuoussoftware.com/api/Contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactType": "<string>",
"referenceSource": "<string>",
"referenceId": "<string>",
"name": "<string>",
"informalName": "<string>",
"description": "<string>",
"website": "<string>",
"maritalStatus": "<string>",
"anniversaryMonth": "<integer>",
"anniversaryDay": "<integer>",
"anniversaryYear": "<integer>",
"originSegmentId": "<integer>",
"isPrivate": "<boolean>",
"isArchived": "<boolean>",
"contactAddresses": [
{
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"stateCode": "<string>",
"postal": "<string>",
"countryCode": "<string>",
"isPrimary": "<boolean>",
"latitude": "<double>",
"longitude": "<double>"
},
{
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"stateCode": "<string>",
"postal": "<string>",
"countryCode": "<string>",
"isPrimary": "<boolean>",
"latitude": "<double>",
"longitude": "<double>"
}
],
"contactIndividuals": [
{
"firstName": "<string>",
"lastName": "<string>",
"prefix": "<string>",
"middleName": "<string>",
"suffix": "<string>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"approximateAge": "<integer>",
"gender": "<string>",
"passion": "<string>",
"isPrimary": "<boolean>",
"isSecondary": "<boolean>",
"isDeceased": "<boolean>",
"contactMethods": [
{
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
},
{
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
}
],
"customFields": "<object>"
},
{
"firstName": "<string>",
"lastName": "<string>",
"prefix": "<string>",
"middleName": "<string>",
"suffix": "<string>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"approximateAge": "<integer>",
"gender": "<string>",
"passion": "<string>",
"isPrimary": "<boolean>",
"isSecondary": "<boolean>",
"isDeceased": "<boolean>",
"contactMethods": [
{
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
},
{
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
}
],
"customFields": "<object>"
}
],
"customFields": "<object>",
"customCollections": [
{
"name": "<string>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"name": "<string>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}
'{
"id": "<integer>",
"contactType": "<string>",
"isPrivate": "<boolean>",
"name": "<string>",
"informalName": "<string>",
"description": "<string>",
"website": "<string>",
"maritalStatus": "<string>",
"anniversaryMonth": "<integer>",
"anniversaryDay": "<integer>",
"anniversaryYear": "<integer>",
"mergedIntoContactId": "<integer>",
"address": {
"id": "<integer>",
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"startMonth": "<integer>",
"startDay": "<integer>",
"endMonth": "<integer>",
"endDay": "<integer>"
},
"giftAskAmount": "<string>",
"giftAskType": "<string>",
"lifeToDateGiving": "<string>",
"yearToDateGiving": "<string>",
"lastGiftAmount": "<string>",
"lastGiftDate": "<string>",
"contactIndividuals": [
{
"id": "<integer>",
"contactId": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isSecondary": "<boolean>",
"canBeSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"avatarUrl": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
}
],
"createDateTimeUtc": "<dateTime>",
"modifiedDateTimeUtc": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
},
{
"id": "<integer>",
"contactId": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isSecondary": "<boolean>",
"canBeSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"avatarUrl": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
}
],
"createDateTimeUtc": "<dateTime>",
"modifiedDateTimeUtc": "<dateTime>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}
],
"contactGiftsUrl": "<string>",
"contactPassthroughGiftsUrl": "<string>",
"contactPlannedGiftsUrl": "<string>",
"contactRecurringGiftsUrl": "<string>",
"contactImportantNotesUrl": "<string>",
"contactNotesUrl": "<string>",
"contactTagsUrl": "<string>",
"contactRelationshipsUrl": "<string>",
"primaryAvatarUrl": "<string>",
"contactReferences": [
{
"source": "<string>",
"id": "<string>"
},
{
"source": "<string>",
"id": "<string>"
}
],
"originSegmentId": "<integer>",
"originSegment": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"tags": [
"<string>",
"<string>"
],
"organizationGroups": [
"<string>",
"<string>"
],
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on April 24, 2026
Was this page helpful?
⌘I